<?php
/**
 * @file
 * ocio_landing_page.features.field_instance.inc
 */

/**
 * Implements hook_field_default_field_instances().
 */
function ocio_landing_page_field_default_field_instances() {
  $field_instances = array();

  // Exported field_instance: 'node-ocio_landing_page-field_admin_lock'
  $field_instances['node-ocio_landing_page-field_admin_lock'] = array(
    'bundle' => 'ocio_landing_page',
    'default_value' => array(
      0 => array(
        'value' => 0,
      ),
    ),
    'deleted' => 0,
    'description' => 'Prevent users from changing metadata or deleting node.',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 1,
      ),
      'full' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 14,
      ),
    ),
    'ds_extras_field_template' => '',
    'entity_type' => 'node',
    'field_name' => 'field_admin_lock',
    'label' => 'Admin Lock',
    'required' => 0,
    'settings' => array(
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'options',
      'settings' => array(
        'display_label' => 1,
      ),
      'type' => 'options_onoff',
      'weight' => 5,
    ),
  );

  // Exported field_instance: 'node-ocio_landing_page-field_alternate_panel_rows'
  $field_instances['node-ocio_landing_page-field_alternate_panel_rows'] = array(
    'bundle' => 'ocio_landing_page',
    'default_value' => array(
      0 => array(
        'value' => 0,
      ),
    ),
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 4,
      ),
      'full' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 13,
      ),
    ),
    'ds_extras_field_template' => '',
    'entity_type' => 'node',
    'field_name' => 'field_alternate_panel_rows',
    'label' => 'Alternate Panel Rows',
    'required' => 0,
    'settings' => array(
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'options',
      'settings' => array(
        'display_label' => 1,
      ),
      'type' => 'options_onoff',
      'weight' => 7,
    ),
  );

  // Exported field_instance: 'node-ocio_landing_page-field_banner_image'
  $field_instances['node-ocio_landing_page-field_banner_image'] = array(
    'bundle' => 'ocio_landing_page',
    'deleted' => 0,
    'description' => 'Full width banner image for top of page. Photos must be at least 2000px wide. Height can be anything 320px or taller. Crop to desired proportions before uploading the image. ',
    'display' => array(
      'default' => array(
        'label' => 'hidden',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
      'full' => array(
        'label' => 'hidden',
        'module' => 'image',
        'settings' => array(
          'image_link' => '',
          'image_style' => '',
        ),
        'type' => 'image',
        'weight' => 0,
      ),
    ),
    'ds_extras_field_template' => '',
    'entity_type' => 'node',
    'field_name' => 'field_banner_image',
    'label' => 'Banner Image',
    'required' => 0,
    'settings' => array(
      'alt_field' => 0,
      'default_image' => 0,
      'file_directory' => 'banner-images',
      'file_extensions' => 'png jpg jpeg',
      'max_filesize' => '3mb',
      'max_resolution' => '',
      'min_resolution' => '2000x320',
      'title_field' => 0,
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'media',
      'settings' => array(
        'allowed_schemes' => array(
          'public' => 'public',
          'vimeo' => 0,
          'youtube' => 0,
        ),
        'allowed_types' => array(
          'audio' => 0,
          'document' => 0,
          'image' => 'image',
          'video' => 0,
        ),
        'browser_plugins' => array(
          'media_default--media_browser_1' => 0,
          'media_default--media_browser_my_files' => 0,
          'media_internet' => 0,
          'upload' => 0,
        ),
        'manualcrop_crop_info' => 1,
        'manualcrop_default_crop_area' => 1,
        'manualcrop_enable' => 0,
        'manualcrop_inline_crop' => 0,
        'manualcrop_instant_crop' => FALSE,
        'manualcrop_instant_preview' => 1,
        'manualcrop_keyboard' => 1,
        'manualcrop_maximize_default_crop_area' => 0,
        'manualcrop_require_cropping' => array(),
        'manualcrop_styles_list' => array(),
        'manualcrop_styles_mode' => 'include',
        'manualcrop_thumblist' => 0,
      ),
      'type' => 'media_generic',
      'weight' => 3,
    ),
  );

  // Exported field_instance: 'node-ocio_landing_page-field_banner_image_text'
  $field_instances['node-ocio_landing_page-field_banner_image_text'] = array(
    'bundle' => 'ocio_landing_page',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'OPTIONAL text that may be placed atop a banner image. ',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'text',
        'settings' => array(),
        'type' => 'text_default',
        'weight' => 10,
      ),
      'full' => array(
        'label' => 'hidden',
        'module' => 'text',
        'settings' => array(),
        'type' => 'text_plain',
        'weight' => 1,
      ),
    ),
    'ds_extras_field_template' => '',
    'entity_type' => 'node',
    'field_name' => 'field_banner_image_text',
    'label' => 'Banner Image Text',
    'required' => 0,
    'settings' => array(
      'linkit' => array(
        'button_text' => 'Search',
        'enable' => 0,
        'profile' => '',
      ),
      'text_processing' => 0,
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'text',
      'settings' => array(
        'size' => 120,
      ),
      'type' => 'text_textfield',
      'weight' => 4,
    ),
  );

  // Exported field_instance: 'node-ocio_landing_page-field_banner_image_text_color'
  $field_instances['node-ocio_landing_page-field_banner_image_text_color'] = array(
    'bundle' => 'ocio_landing_page',
    'default_value' => array(
      0 => array(
        'value' => 'white',
      ),
    ),
    'deleted' => 0,
    'description' => 'Choose the color that will be the most readable. ',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 9,
      ),
      'full' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 11,
      ),
    ),
    'ds_extras_field_template' => '',
    'entity_type' => 'node',
    'field_name' => 'field_banner_image_text_color',
    'label' => 'Banner Image Text Color',
    'required' => 0,
    'settings' => array(
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'options',
      'settings' => array(),
      'type' => 'options_select',
      'weight' => 6,
    ),
  );

  // Exported field_instance: 'node-ocio_landing_page-field_banner_image_text_location'
  $field_instances['node-ocio_landing_page-field_banner_image_text_location'] = array(
    'bundle' => 'ocio_landing_page',
    'default_value' => array(
      0 => array(
        'value' => 'center-top',
      ),
    ),
    'deleted' => 0,
    'description' => 'Choose the best position for the text based on your photo choice. ',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 8,
      ),
      'full' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 12,
      ),
    ),
    'ds_extras_field_template' => '',
    'entity_type' => 'node',
    'field_name' => 'field_banner_image_text_location',
    'label' => 'Banner Image Text Location',
    'required' => 0,
    'settings' => array(
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'options',
      'settings' => array(),
      'type' => 'options_select',
      'weight' => 5,
    ),
  );

  // Exported field_instance: 'node-ocio_landing_page-field_disable_breadcrumbs'
  $field_instances['node-ocio_landing_page-field_disable_breadcrumbs'] = array(
    'bundle' => 'ocio_landing_page',
    'default_value' => array(
      0 => array(
        'value' => 0,
      ),
    ),
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 2,
      ),
      'full' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 15,
      ),
    ),
    'ds_extras_field_template' => '',
    'entity_type' => 'node',
    'field_name' => 'field_disable_breadcrumbs',
    'label' => 'Disable Breadcrumbs',
    'required' => 0,
    'settings' => array(
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'options',
      'settings' => array(
        'display_label' => 1,
      ),
      'type' => 'options_onoff',
      'weight' => 8,
    ),
  );

  // Exported field_instance: 'node-ocio_landing_page-field_disable_title'
  $field_instances['node-ocio_landing_page-field_disable_title'] = array(
    'bundle' => 'ocio_landing_page',
    'default_value' => array(
      0 => array(
        'value' => 0,
      ),
    ),
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 3,
      ),
      'full' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 16,
      ),
    ),
    'ds_extras_field_template' => '',
    'entity_type' => 'node',
    'field_name' => 'field_disable_title',
    'label' => 'Disable Title',
    'required' => 0,
    'settings' => array(
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'options',
      'settings' => array(
        'display_label' => 1,
      ),
      'type' => 'options_onoff',
      'weight' => 9,
    ),
  );

  // Exported field_instance: 'node-ocio_landing_page-field_pre_footer_banner_image'
  $field_instances['node-ocio_landing_page-field_pre_footer_banner_image'] = array(
    'bundle' => 'ocio_landing_page',
    'deleted' => 0,
    'description' => 'Full width banner image to be placed at the bottom of the content region, just above the footer. Photos must be at least 2000px wide. Height can be anything 320px or taller. Crop to desired proportions before uploading the image. ',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 6,
      ),
      'full' => array(
        'label' => 'hidden',
        'module' => 'image',
        'settings' => array(
          'image_link' => '',
          'image_style' => '',
        ),
        'type' => 'image',
        'weight' => 2,
      ),
    ),
    'ds_extras_field_template' => '',
    'entity_type' => 'node',
    'field_name' => 'field_pre_footer_banner_image',
    'label' => 'Pre-Footer Banner Image',
    'required' => 0,
    'settings' => array(
      'alt_field' => 0,
      'default_image' => 0,
      'file_directory' => 'banner-images',
      'file_extensions' => 'png jpg jpeg',
      'max_filesize' => '3mb',
      'max_resolution' => '',
      'min_resolution' => '2000x320',
      'title_field' => 0,
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'media',
      'settings' => array(
        'allowed_schemes' => array(
          'public' => 'public',
          'vimeo' => 0,
          'youtube' => 0,
        ),
        'allowed_types' => array(
          'audio' => 0,
          'document' => 0,
          'image' => 'image',
          'video' => 0,
        ),
        'browser_plugins' => array(
          'media_default--media_browser_1' => 0,
          'media_default--media_browser_my_files' => 0,
          'media_internet' => 0,
          'upload' => 0,
        ),
        'manualcrop_crop_info' => 1,
        'manualcrop_default_crop_area' => 1,
        'manualcrop_enable' => 0,
        'manualcrop_inline_crop' => 0,
        'manualcrop_instant_crop' => FALSE,
        'manualcrop_instant_preview' => 1,
        'manualcrop_keyboard' => 1,
        'manualcrop_maximize_default_crop_area' => 0,
        'manualcrop_require_cropping' => array(),
        'manualcrop_styles_list' => array(),
        'manualcrop_styles_mode' => 'include',
        'manualcrop_thumblist' => 0,
      ),
      'type' => 'media_generic',
      'weight' => 4,
    ),
  );

  // Translatables
  // Included for use with string extractors like potx.
  t('Admin Lock');
  t('Alternate Panel Rows');
  t('Banner Image');
  t('Banner Image Text');
  t('Banner Image Text Color');
  t('Banner Image Text Location');
  t('Choose the best position for the text based on your photo choice. ');
  t('Choose the color that will be the most readable. ');
  t('Disable Breadcrumbs');
  t('Disable Title');
  t('Full width banner image for top of page. Photos must be at least 2000px wide. Height can be anything 320px or taller. Crop to desired proportions before uploading the image. ');
  t('Full width banner image to be placed at the bottom of the content region, just above the footer. Photos must be at least 2000px wide. Height can be anything 320px or taller. Crop to desired proportions before uploading the image. ');
  t('OPTIONAL text that may be placed atop a banner image. ');
  t('Pre-Footer Banner Image');
  t('Prevent users from changing metadata or deleting node.');

  return $field_instances;
}
